﻿
using Exam.Share.ViewResponses.TestPaper;
using Exam.TestPapers;
using Hotline.Repository.SqlSugar.Interface;
using Hotline.Share.Dtos.TestPapers;
using Hotline.Share.Requests.Exam;
using Hotline.Share.ViewResponses.Exam;

namespace Exam.Application.Interface.TestPapers
{
    public interface ITestPaperService:IQueryService<TestPaperViewResponse,TestPaperDto,TestPaperPagedRequest>,IApiService<AddTestPaperDto,UpdateTestPaperDto,TestPaper>
    {
        public Task<List<TestPaperQuestionCountViewResponse>> GetTestPaperQuestionCount(TestPaperQuestionCountRequest testPaperQuestionCountRequest);
    }
}
